import 'package:dio/dio.dart';
import 'dio_http_service.dart';

mixin ApiHelper {
  final DioHttpService _api = DioHttpService();

  initNetWork(String baseUrl) {
    _api.init();
    _api.setBaseUrl(baseUrl);
  }

  Dio getDio()  {
    return _api.getDio();
  }

  String getBaseUrl() {
    return _api.getDio().options.baseUrl;
  }
}